org.codehaus.groovy.transform.tailrec

## Interfaces

- VariableReplacedListener

## Classes

- AstHelper
- CollectRecursiveCalls
- HasRecursiveCalls
- InWhileLoopWrapper
- RecursivenessTester
- ReturnAdderForClosures
- ReturnStatementToIterationConverter
- StatementReplacer
- TailRecursiveASTTransformation
- TernaryToIfStatementConverter
- UsedVariableTracker
- VariableAccessReplacer
- VariableExpressionReplacer
- VariableExpressionTransformer

## Exceptions

- GotoRecurHereException